<template>
    <div>
        <div class="row">
            <div class="col-md-12 grid-margin stretch-card">
                <div class="card">
                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>Nama Inovasi</th>
                                    <th class="text-center">Data Isian Inovasi</th>
                                    <th class="text-center">Kuisioner Kesiapan Inovasi</th>
                                </tr>
                            </thead>
                            <tbody>
                                <!--check if datainovasi tidak kosong -->
                                <tr>
                                    <td>{{ datainovasi.nama_singkat }}</td>
                                    <td class="text-center">
                                        <button class="btn btn-success mb-1 mb-md-0" type="submit" name="action" @click.prevent="viewInovasi()">View Inovasi
                                        <i class="mdi mdi-send"></i>
                                        </button>
                                    </td>
                                    <td class="text-center">
                                        <button class="btn btn-success mb-1 mb-md-0" type="submit" name="action" @click.prevent="viewKuisioner()">View Kuisioner
                                        <i class="mdi mdi-send"></i>
                                        </button>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

    export default {
        props: ['dataprops'],
        //Binding Data
        data() {
            return {
                component:'AddInovasi',
                token:document.head.querySelector('meta[name="csrf-token"]').content,
                datainovasi:[],
                checkComment:'',
                status:'',
                category:'',
                //comment
                comments:{
                    nama_inovasi:[],
                    tahapan_inovasi:[],
                    inisiator_inovasi:[],
                    sistem_inovasi:[],
                    bentuk_inovasi:[],
                    jenis_inovasi:[],
                    covid_inovasi:[],
                    bidang_inovasi:[],
                    urusan_inovasi:[],
                    waktu_ujicoba:[],
                    waktu_implementasi:[],
                    //
                    rancang_bangun:[],
                    tujuan_inovasi:[],
                    manfaat_inovasi:[],
                    hasil_inovasi:[],
                    anggaran_inovasi:[],
                    proses_inovasi:[],
                    logo_inovasi:[],
                    foto_inovasi:[],
                    video_inovasi:[],
                    pengalaman_inovasi:[],
                    penghargaan_inovasi:[],
                    hki_inovasi:[],
                },
                dataComments:{
                    id:'',
                    auditor_id:'',
                    innovation_id:'',
                    data:[]
                },
            }
        },

        created(){
            this.initial();
            this.getComment();
            // this.getUrusanInovasi();
        },

        methods: {
            initial(){
                this.dataComments.innovation_id = this.dataprops.id
                this.datainovasi = this.dataprops
                this.status = this.dataprops.status
                this.category = this.dataprops.innovator.category_id
                // console.log(this.innovatorcategory)
            },


            //function when user click the button submit
            getComment(){
                let id = this.dataprops.id
                // let id = this.currentData.id
                let url = `getcomment/${id}`
                axios.get(url).then(response => {
                        this.checkComment = response.data.data || ''
                })
            },
            formData(obj){
                var formData = new FormData();
                for (var key in obj) {
                    formData.append(key, obj[key]);
                }
                return formData;
            },
            async createComments(){
                this.dataComments.data = []
                this.dataComments.data = JSON.stringify(this.comments)
                let data = this.formData(this.dataComments)
                let url = 'insert/comments'
                await axios.post(url,data).then(response => {
                   this.dataComments.id = response.data
                })
            },
            async updateData(){
                let id = this.dataprops.id
                let url = `update/status/${id}`
                await axios.post(url).then(response => {
                //    this.currentData.id = response.data
                })
            },

            viewInovasi(){
                this.checkComment = (!this.checkComment)?'':JSON.parse(this.checkComment)
                if (this.status=='pending') {
                    this.updateData()
                    this.createComments()
                }
                // if (this.category===1) {
                    this.toNextComponent('ViewInovasiopd')
                // }else{
                //     this.toNextComponent('ViewInovasinonopd')
                // }

            },

            //ediit from vue table
            viewKuisioner(){
                // if (this.category===1) {
                    this.toNextComponent('ViewKuisioneropd')
                // }else{
                //     this.toNextComponent('ViewKuisionernonopd')
                // }
            },


            //function send to next component
            toNextComponent(visit){
                let datamerged = Object.assign({data:this.datainovasi,commended:this.checkComment});
                let data = {
                    back:this.component,
                    data:datamerged,
                    visit
                }
                this.$emit('datacomponent', data)
            },
        },
    }
</script>

<style>

</style>
